% rebase("base.tpl")

<form action="/bulksort" method="POST">
<select name="category">
% for c in categories:
  <option value="{{ c.id }}">{{ c.full_name() }}</option>
% end
</select> 
<input type="submit">
<table class="table-auto">
  <thead>
    <tr>
      <th class="px-4 py-2"></th>
      <th class="px-4 py-2">Date</th>
      <th class="px-4 py-2">Sender/Empfänger</th>
      <th class="px-4 py-2">Verwendungszweck</th>
      <th class="px-4 py-2">Betrag</th>
      <th class="px-4 py-2">Kategorie</th>
    </tr>
  </thead>
  <tbody>
% for t in transactions:
    <tr>
      <td class="border px-4 py-2"><input type="checkbox" name="transaction" value="{{ t.id }}"></td>
      <td class="border px-4 py-2">{{ t.get_date("de") }}</td>
      <td class="border px-4 py-2">{{ t.name }}</td>
      <td class="border px-4 py-2">{{ t.description }}</td>
      <td class="border px-4 py-2 {{ 'text-green-500' if t.is_positive() else 'text-red-500' }}">{{ t.pretty_amount() }}</td>
      % if t.category:
      <td class="border px-4 py-2"> <a href="/category/{{ t.category.name }}"> {{ t.category.full_name()}}</a></td>
      % else:
      <td class="border px-4 py-2"> - </td>
      % end
    </tr>
% end
  </tbody>
</table>

</form>
